var G5SHOP = window.G5SHOP || {};
(function ($) {
    "use strict";
    window.G5SHOP = G5SHOP;


    var $window = $(window),
        $body = $('body'),
        isRTL = $body.hasClass('rtl');

    G5SHOP = {
        init: function () {
            this.tooltip();
            this.addToCart();
            this.saleCountdown();
            this.switchLayout();
            this.updateAjaxSuccess();
            this.filter();
            this.productSearchForm();
            this.ordering();
            this.filterAjax();
            this.singleProductImage();
            this.singleProductVideo();
            this.quantity();
            this.singleProductTabs();
            this.quickView();
            this.categoryFilter();
            this.variationsImageUpdate();
            this.slickNavCenter();
            this.promoPopup();
            this.addedToWishlist();
            this.miniCart();
            $(document).on('wc_fragments_loaded', function () {
                G5SHOP.miniCart();
            });

            $body.on('wc-product-gallery-after-init', function (event, target, wc_single_product_params) {
                G5SHOP.singleProductImage($(target));
            });


        },
        tooltip: function () {
            $('.yith-wcwl-wishlistexistsbrowse > a,.yith-wcwl-add-button > a,.yith-wcwl-wishlistaddedbrowse > a,.g5shop__product-actions .compare,.g5shop__product-list-actions .compare', '.woocommerce').each(function () {
                var title = $(this).text().trim(),
                    configs = {
                        title: title,
                        container: $(this).parent()
                    };
                if ($(this).closest('.g5core__tooltip-wrap').length) {
                    configs = $.extend({}, configs, $(this).closest('.g5core__tooltip-wrap').data('tooltip-options'));
                }
                $(this).tooltip(configs);
            });
        },
        addToCart: function () {
            $(document).on('click', '.add_to_cart_button', function () {
                var button = $(this);
                if (button.hasClass('ajax_add_to_cart')) {
                    var productWrap = button.closest('.g5shop__product-item-inner');
                    if (typeof(productWrap) === 'undefined') {
                        return;
                    }
                    productWrap.addClass('active');
                }
            });

            $body.on('wc_cart_button_updated', function (event, $button) {
                var buttonWrap = $button.parent(),
                    buttonViewCart = buttonWrap.find('.added_to_cart'),
                    addedTitle = buttonViewCart.text(),
                    productWrap = buttonWrap.closest('.g5shop__product-item-inner');

                if ($button.closest('.g5shop__product-list-actions').length) {
                    buttonViewCart.addClass('button');
                }

                if (!$button.closest('.gf-product-swatched').length) {
                    $button.remove();
                }


                if (buttonWrap.data('toggle')) {
                    setTimeout(function () {
                        buttonWrap.tooltip('hide').attr('title', addedTitle).tooltip('_fixTitle');
                    }, 500);
                }

                setTimeout(function () {
                    productWrap.removeClass('active');
                }, 700);
            });
        },
        saleCountdown: function () {
            $('.g5shop__product-deal-countdown').each(function () {
                var date_end = $(this).data('date-end');
                var $this = $(this);
                $this.countdown(date_end, function (event) {
                    count_down_callback(event, $this);
                }).on('update.countdown', function (event) {
                    count_down_callback(event, $this);
                });
            });

            function count_down_callback(event, $this) {
                var seconds = parseInt(event.offset.seconds);
                var minutes = parseInt(event.offset.minutes);
                var hours = parseInt(event.offset.hours);
                var days = parseInt(event.offset.totalDays);

                if (days < 10) days = '0' + days;
                if (hours < 10) hours = '0' + hours;
                if (minutes < 10) minutes = '0' + minutes;
                if (seconds < 10) seconds = '0' + seconds;


                $('.countdown-day', $this).text(days);
                $('.countdown-hours', $this).text(hours);
                $('.countdown-minutes', $this).text(minutes);
                $('.countdown-seconds', $this).text(seconds);
            }
        },
        switchLayout : function() {
            $(document).on('click', '.g5shop__switch-layout > a', function (event) {
                event.preventDefault();
                var layout = $(this).data('layout'),
                    $wrapper = $('[data-archive-wrapper]');
                if ($wrapper.length > 0) {
                    var settingId = $wrapper.data('items-wrapper');
                    G5CORE.paginationAjax.loadPosts(settingId, this);
                    $.cookie('g5shop_product_layout', layout, {expires: 15});
                }
            });
        },
        updateAjaxSuccess: function () {
            var self = this;
            $body.on('g5core_pagination_ajax_success', function (event, _data, $ajaxHTML, target, loadMore) {
                if (_data.settings['post_type'] === 'product') {
                    self.saleCountdown();
                    self.tooltip();

                    var $shop_filter = $('.g5shop__shop-toolbar');
                    if ($shop_filter.length && !loadMore && (typeof _data.settings['isMainQuery'] !== 'undefined')) {
                        var $result_shop_filter = $ajaxHTML.find('.g5shop__shop-toolbar');
                        if ($result_shop_filter.length) {
                            $shop_filter.replaceWith($result_shop_filter.removeAttr('hidden').prop('outerHTML'));
                            $('.woocommerce-ordering').off('change').on('change', 'select.orderby', function () {
                                $(this).closest('form').submit();
                            });
                            $('.g5core__pretty-tabs').g5core__PrettyTabs();

                            var $switch_layout = $('.g5shop__switch-layout');
                            if ($switch_layout.length) {
                                var $resultWrapper = $ajaxHTML.find('[data-items-wrapper]'),
                                    resultWrapperClass = $resultWrapper.attr('class');
                                $(event.target).attr('class',resultWrapperClass);

                            }

                            self.ordering();
                            self.categoryFilter();

                        }
                    }
                }
            });

            $body.on('g5core_pagination_ajax_before_update_sidebar', function (event, _data, $ajaxHTML, target, loadMore) {
                if (_data.settings['post_type'] === 'product') {


                    $('.dropdown_product_cat').off('change').on('change', function () {
                        if ($(this).val() != '') {
                            var this_page = '';
                            var home_url = g5shop_vars.home_url;
                            if (home_url.indexOf('?') > 0) {
                                this_page = home_url + '&product_cat=' + $(this).val();
                            } else {
                                this_page = home_url + '?product_cat=' + $(this).val();
                            }
                            location.href = this_page;
                        } else {
                            location.href = g5shop_vars.shop_url;
                        }
                    });


                    $('.woocommerce-widget-layered-nav-dropdown').off('change').on('change', function () {
                        var slug = $(this).val(),
                            $wrapper = $(this).closest('.woocommerce-widget-layered-nav-dropdown');
                        $('input[type="hidden"]', $wrapper).val(slug);

                        // Submit form on change if standard dropdown.
                        if (!$(this).attr('multiple')) {
                            $(this).closest('form').submit();
                        }
                    });


                    $('.woocommerce-widget-layered-nav-dropdown select,.dropdown_product_cat').selectWoo({
                        width: '100%',
                    }).on('select2:select', function () {
                        $(this).focus(); // Maintain focus after select https://github.com/select2/select2/issues/4384
                    });

                    self.priceFilter();

                }
            });

        },
        filter: function () {
            $(document).on('click', '[data-g5shop-filter]', function (event) {
                event.preventDefault();
                var _self = this,
                    $content = $('.g5shop__archive-filter-content');
                $content.slideToggle('500',function () {
                    if ($(_self).closest('.stretched').length && $('.primary-sidebar'.length && $('.primary-sidebar').hasClass('.sidebar-sticky'))) {
                        $('.primary-sidebar.sidebar-sticky > .primary-sidebar-inner').hcSticky('refresh');
                    }

                });
            });


            var $wrapper = $('.g5shop__shop-toolbar'),
                $primary_content = $('#primary-content');
            if ($wrapper.length) {
                if ($wrapper.hasClass('stretched') || $wrapper.hasClass('stretched_content')) {
                    $wrapper.detach().insertBefore($primary_content);
                }
                $wrapper.removeAttr('hidden');
                $('.g5core__pretty-tabs', $wrapper).g5core__PrettyTabs();
            }


        },
        miniCart: function () {
            if ($('.g5shop__mini-cart .woocommerce-mini-cart').length > 0) {
                const ps = new
                PerfectScrollbar('.g5shop__mini-cart .woocommerce-mini-cart', {
                    wheelSpeed: 0.5,
                    suppressScrollX: true
                });
            }
        },
        productSearchForm: function () {
            $('.g5shop__search-product').each(function () {
                var $form = $(this),
                    $input = $form.find('input[type="search"]'),
                    $parent = $form.find('.g5shop__search-product-cat'),
                    $select = $parent.find('select'),
                    dropdownCssClass = $form.closest('.g5core-search-popup').length > 0 ? 'g5shop__search-product-cat-select2-dropdown-popup'  : 'g5shop__search-product-cat-select2-dropdown';
                if ($form.hasClass('g5core-search-ajax')) {
                    var $result = $form.find('.result'),
                        $remove = $form.find('.remove');
                }
                if ($().selectWoo) {
                    $select
                        .on('select2:select', function () {
                            $(this).focus(); // Maintain focus after select https://github.com/select2/select2/issues/4384
                        })
                        .selectWoo({
                            width: '100%',
                            dropdownParent: $parent,
                            //dropdownCssClass: dropdownCssClass
                        }).on('select2:opening', function (e) {
                        if ($form.hasClass('g5core-search-ajax')) {
                            $result.html('');
                            $remove.removeClass('in');
                        }
                    }).on('select2:close', function (e) {
                        setTimeout(function () {
                            $input.focus();
                        }, 50);

                    });
                }
            });

        },
        ordering: function () {
            if ($().selectWoo) {
                $('.woocommerce-ordering select').selectWoo({
                    width: '100%',
                }).on('select2:select', function () {
                    $(this).focus(); // Maintain focus after select https://github.com/select2/select2/issues/4384
                });
            }
        },
        categoryFilter: function() {
            var $allCategory = $('<li class="cate-item"><a href="'+ g5shop_vars.shop_url +'">'+ g5shop_vars.localization.all_category +'</a></li>');
            $('.g5shop__archive-filter-content ul.product-categories').prepend($allCategory);
        },
        priceFilter: function () {
            if ($().slider) {
                $('input#min_price, input#max_price').hide();
                $('.price_slider, .price_label').show();

                var min_price = $('.price_slider_amount #min_price').data('min'),
                    max_price = $('.price_slider_amount #max_price').data('max'),
                    current_min_price = $('.price_slider_amount #min_price').val(),
                    current_max_price = $('.price_slider_amount #max_price').val();

                $('.price_slider:not(.ui-slider)').slider({
                    range: true,
                    animate: true,
                    min: min_price,
                    max: max_price,
                    values: [current_min_price, current_max_price],
                    create: function () {

                        $('.price_slider_amount #min_price').val(current_min_price);
                        $('.price_slider_amount #max_price').val(current_max_price);

                        $(document.body).trigger('price_slider_create', [current_min_price, current_max_price]);
                    },
                    slide: function (event, ui) {

                        $('input#min_price').val(ui.values[0]);
                        $('input#max_price').val(ui.values[1]);

                        $(document.body).trigger('price_slider_slide', [ui.values[0], ui.values[1]]);
                    },
                    change: function (event, ui) {

                        $(document.body).trigger('price_slider_change', [ui.values[0], ui.values[1]]);
                    }
                });


                $('input#min_price, input#max_price').hide();
                $('.price_slider, .price_label').show();

                var min_price = $('.price_slider_amount #min_price').data('min'),
                    max_price = $('.price_slider_amount #max_price').data('max'),
                    step = $('.price_slider_amount').data('step') || 1,
                    current_min_price = $('.price_slider_amount #min_price').val(),
                    current_max_price = $('.price_slider_amount #max_price').val();

                $('.price_slider:not(.ui-slider)').slider({
                    range: true,
                    animate: true,
                    min: min_price,
                    max: max_price,
                    step: step,
                    values: [current_min_price, current_max_price],
                    create: function () {

                        $('.price_slider_amount #min_price').val(current_min_price);
                        $('.price_slider_amount #max_price').val(current_max_price);

                        $(document.body).trigger('price_slider_create', [current_min_price, current_max_price]);
                    },
                    slide: function (event, ui) {

                        $('input#min_price').val(ui.values[0]);
                        $('input#max_price').val(ui.values[1]);

                        $(document.body).trigger('price_slider_slide', [ui.values[0], ui.values[1]]);
                    },
                    change: function (event, ui) {

                        $(document.body).trigger('price_slider_change', [ui.values[0], ui.values[1]]);
                    }
                });
            }


        },
        filterAjax: function () {
            $(document).on('click', '.widget .wc-block-product-categories li > a,  .widget_product_categories .product-categories li > a,.g5shop__product-sorting li > a, .g5shop__price-filter li > a', function (event) {
                var $wrapper = $('[data-archive-wrapper]');
                if ($wrapper.length > 0) {
                    event.preventDefault();
                    if (!$(this).parent().hasClass('current-cat') && !$(this).parent().hasClass('current')) {
                        var settingId = $wrapper.data('items-wrapper');
                        G5CORE.paginationAjax.loadPosts(settingId, this);
                    }
                }
            });

            $(document).on('click', '.woocommerce-widget-layered-nav-list li > a,.widget_layered_nav_filters ul li > a,.widget_rating_filter ul li > a', function (event) {
                var $wrapper = $('[data-archive-wrapper]');
                if ($wrapper.length > 0) {
                    event.preventDefault();
                    var settingId = $wrapper.data('items-wrapper');
                    G5CORE.paginationAjax.loadPosts(settingId, this);
                }
            });

        },
        singleProductImage: function ($productImageWrap) {
            if (typeof $productImageWrap === "undefined") {
                $productImageWrap = $('.g5shop__single-product-summary .woocommerce-product-gallery');
            }
            if ($productImageWrap.length === 0) return;
            var $slider_thumb = $productImageWrap.find('.flex-control-thumbs'),
                type = $productImageWrap.closest('.g5shop__product-gallery-horizontal').length ? 'horizontal' : 'vertical';
            if ($slider_thumb.length && ($().slick) ) {
                if (type === 'horizontal') {
                    $slider_thumb.slick(g5shop_vars.single_product_gallery_horizontal_args);
                } else  {
                    $slider_thumb.slick(g5shop_vars.single_product_gallery_vertical_args);
                }
            }

            $(window).on('resize',function () {
                // Trigger resize after main image loads to ensure correct gallery size.
                var $image =  $( '.woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image:eq(0)');
                if ($image) {
                    setTimeout( function() {
                        var setHeight = $image.closest( '.woocommerce-product-gallery__image' ).height();
                        var $viewport = $image.closest( '.flex-viewport' );

                        if ( setHeight && $viewport ) {
                            $viewport.height( setHeight );
                        }
                    }, 100 );
                }
            });
        },
        singleProductVideo : function () {
            var $product_video = $('.g5shop__product-gallery-video'),
                $product_gallery = $('.woocommerce-product-gallery');
            if ($product_video.length && $product_gallery.length) {
                $product_video = $product_video.detach();
                $product_gallery.prepend($product_video);
                $product_video.removeAttr('hidden');
            }
        },
        quantity: function () {
            $(document).on('click', '.g5shop__quantity .btn-number', function (event) {
                event.preventDefault();
                var type = $(this).data('type'),
                    input = $('input', $(this).parent()),
                    current_value = parseFloat(input.val()),
                    max = parseFloat(input.attr('max')),
                    min = parseFloat(input.attr('min')),
                    step = parseFloat(input.attr('step')),
                    stepLength = 0;
                if (input.attr('step').indexOf('.') > 0) {
                    stepLength = input.attr('step').split('.')[1].length;
                }



                if (isNaN(max)) {
                    max = -1;
                }
                if (isNaN(min)) {
                    min = 0;
                }
                if (isNaN(step)) {
                    step = 1;
                    stepLength = 0;
                }

                if (!isNaN(current_value)) {
                    if (type == 'minus') {
                        if (current_value > min) {
                            current_value = (current_value - step).toFixed(stepLength);
                            input.val(current_value).change();
                        }

                        if (parseFloat(input.val()) <= min) {
                            input.val(min).change();
                            $(this).attr('disabled', true);
                        }
                    }

                    if (type == 'plus') {
                        if ((max === -1) || (current_value < max)) {
                            current_value = (current_value + step).toFixed(stepLength);
                            input.val(current_value).change();
                        }

                        if ((max !== -1) && (parseFloat(input.val()) >= max)) {
                            input.val(max).change();
                            $(this).attr('disabled', true);
                        }
                    }
                } else {
                    input.val(min);
                }
            });


            $('input', '.g5shop__quantity').on('focusin', function () {
                $(this).data('oldValue', $(this).val());
            });

            $('input', '.g5shop__quantity').on('change', function () {
                var input = $(this),
                    max = parseFloat(input.attr('max')),
                    min = parseFloat(input.attr('min')),
                    current_value = parseFloat(input.val()),
                    step = parseFloat(input.attr('step'));

                if (isNaN(max)) {
                    max = -1;
                }
                if (isNaN(min)) {
                    min = 0;
                }

                if (isNaN(step)) {
                    step = 1;
                }


                var btn_add_to_cart = $('.add_to_cart_button', $(this).parent().parent().parent());
                if (current_value >= min) {
                    $(".btn-number[data-type='minus']", $(this).parent()).removeAttr('disabled');
                    if (typeof(btn_add_to_cart) != 'undefined') {
                        btn_add_to_cart.attr('data-quantity', current_value);
                    }

                } else {
                    alert(g5shop_vars.localization.quantity_minimum_alert);
                    $(this).val($(this).data('oldValue'));

                    if (typeof(btn_add_to_cart) != 'undefined') {
                        btn_add_to_cart.attr('data-quantity', $(this).data('oldValue'));
                    }
                }

                if ((max === -1) || (current_value <= max)) {
                    $(".btn-number[data-type='plus']", $(this).parent()).removeAttr('disabled');
                    if (typeof(btn_add_to_cart) != 'undefined') {
                        btn_add_to_cart.attr('data-quantity', current_value);
                    }
                } else {
                    alert(g5shop_vars.localization.quantity_maximum_alert);
                    $(this).val($(this).data('oldValue'));
                    if (typeof(btn_add_to_cart) != 'undefined') {
                        btn_add_to_cart.attr('data-quantity', $(this).data('oldValue'));
                    }
                }

            });
        },
        singleProductTabs: function () {
            $('.g5shop__tabs-container a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
                var $currentTab = $(e.target),
                    $previousTab = $(e.relatedTarget),
                    $currentPanel = $('.g5shop__panels-container').find($currentTab.attr('href')),
                    $previousPanel = $('.g5shop__panels-container').find($previousTab.attr('href'));

                $currentPanel.find('.collapse').addClass('show');
                $previousPanel.find('.collapse').removeClass('show');

            });

            $('.g5shop__panels-container .collapse').on('shown.bs.collapse', function (e) {
                var $currentPanel = $(e.target).closest('.tab-pane'),
                    $currentTab = $('.g5shop__tabs-container').find('.' + $currentPanel.attr('id'));

                $('.g5shop__tabs-container').find('a').removeClass('active');
                $('.g5shop__panels-container').find('.tab-pane').removeClass('show active');
                $currentPanel.addClass('show active');
                $currentTab.addClass('active');
            })
        },
        quickView: function () {
            var is_click_quick_view = false,
                self = this;
            $(document).on('click','.g5shop__quick-view',function (event) {
               event.preventDefault();
                if (is_click_quick_view) return;
                is_click_quick_view = true;
                var $this = $(this),
                    product_id = $this.data('product_id'),
                    nonce = $this.data('nonce'),
                    popupWrapper = '#g5shop__popup-product-quick-view',
                    $icon = $this.find('i'),
                    iconClass = $icon.attr('class'),
                    productWrap = $this.closest('.g5shop__product-item-inner'),
                    button = $this;

                productWrap.addClass('active');
                button.addClass('active');
                $icon.attr('class', 'far fa-spinner fa-spin');

                $.ajax({
                    url: g5shop_vars.ajax_url,
                    data: {
                        action: 'g5shop_product_quick_view',
                        id: product_id,
                        _ajax_nonce : nonce,
                    },
                    success: function (html) {
                        productWrap.removeClass('active');
                        button.removeClass('active');
                        $icon.attr('class', iconClass);

                        if ($(popupWrapper).length) {
                            $(popupWrapper).remove();
                        }
                        $body.append(html);

                        if (typeof $.fn.wc_variation_form !== 'undefined') {
                            var form_variation = $(popupWrapper).find('.variations_form');
                            var form_variation_select = $(popupWrapper).find('.variations_form .variations select');
                            form_variation.wc_variation_form();
                            form_variation.trigger('check_variations');
                            form_variation_select.change();
                        }


                        $.magnificPopup.open({
                           items: {
                               src : popupWrapper
                           },
                            type: 'inline',
                            closeOnBgClick: false,
                            closeBtnInside: true,
                            mainClass: 'mfp-move-from-top',
                            removalDelay: 700,
                        });


                        if( typeof $.fn.wc_product_gallery !== 'undefined' ) {
                            var $productImageWrap = $('.woocommerce-product-gallery', popupWrapper);
                            setTimeout(function () {
                                $productImageWrap.wc_product_gallery( wc_single_product_params );
                                self.singleProductImage($productImageWrap);
                                self.singleProductVideo();
                            }, 200);
                        }

                        self.tooltip();
                        G5CORE.util.tooltip();
                        self.saleCountdown();
                        is_click_quick_view = false;
                        $(popupWrapper).trigger('g5shop_product_quick_view_success');
                    },
                    error: function () {
                        is_click_quick_view = false;
                    }
                });


            });
        },
        variationsImageUpdate: function () {
            var self = this;
            $(document).on('found_variation',function (e, variation) {
                var $form             = $(e.target),
                    $product          = $form.closest( '.product' ),
                    $product_gallery  = $product.find( '.g5shop__woocommerce-product-gallery' ),
                    $product_img_wrap = $product_gallery
                        .find( '.g5shop__woocommerce-product-gallery__image, .g5shop__woocommerce-product-gallery__image--placeholder' )
                        .eq( 0 ),
                    $product_img      = $product_img_wrap.find( '.wp-post-image' ),
                    $product_link     = $product_img_wrap.find( 'a' ).eq( 0 );

                if ($product_gallery.is(":hidden")) {
                    return;
                }

                if ( variation && variation.image && variation.image.src && variation.image.src.length > 1 && variation.image.full_src && variation.image.full_src.length > 1 ) {
                    var variation_image_src = variation.image.src,
                        variation_image_width = variation.image.src_h,
                        variation_image_height = variation.image.src_w;

                    if ($product_gallery.hasClass('g5shop__woocommerce-product-gallery-5')) {
                        variation_image_src = variation.image.full_src;
                        variation_image_width = variation.image.full_src_h;
                        variation_image_height = variation.image.full_src_w;
                    }
                    self.setVariationAttr( $product_img, 'src', variation_image_src );
                    self.setVariationAttr( $product_img, 'height', variation_image_height );
                    self.setVariationAttr( $product_img, 'width', variation_image_width );
                    self.setVariationAttr( $product_img, 'srcset', variation.image.srcset );
                    self.setVariationAttr( $product_img, 'sizes', variation.image.sizes );
                    self.setVariationAttr( $product_img, 'title', variation.image.title );
                    self.setVariationAttr( $product_img, 'data-caption', variation.image.caption );
                    self.setVariationAttr( $product_img,  'alt', variation.image.alt );
                    self.setVariationAttr( $product_img,  'data-src', variation.image.full_src );
                    self.setVariationAttr( $product_img,  'data-large_image', variation.image.full_src );
                    self.setVariationAttr( $product_img,  'data-large_image_width', variation.image.full_src_w );
                    self.setVariationAttr( $product_img,  'data-large_image_height', variation.image.full_src_h );
                    self.setVariationAttr( $product_img_wrap,  'data-thumb', variation.image.src );
                    self.setVariationAttr( $product_link,  'href', variation.image.full_src );
                } else {
                    self.resetVariationAttr( $product_img, 'src');
                    self.resetVariationAttr( $product_img, 'height');
                    self.resetVariationAttr( $product_img, 'width');
                    self.resetVariationAttr( $product_img, 'srcset');
                    self.resetVariationAttr( $product_img, 'sizes');
                    self.resetVariationAttr( $product_img, 'title');
                    self.resetVariationAttr( $product_img, 'data-caption');
                    self.resetVariationAttr( $product_img,  'alt' );
                    self.resetVariationAttr( $product_img,  'data-src');
                    self.resetVariationAttr( $product_img,  'data-large_image');
                    self.resetVariationAttr( $product_img,  'data-large_image_width');
                    self.resetVariationAttr( $product_img,  'data-large_image_height');
                    self.resetVariationAttr( $product_img_wrap,  'data-thumb');
                    self.resetVariationAttr( $product_link,  'href');
                }
            });

            $(document).on('reset_image',function (e) {
                var $form             = $(e.target),
                    $product          = $form.closest( '.product' ),
                    $product_gallery  = $product.find( '.g5shop__woocommerce-product-gallery' ),
                    $product_img_wrap = $product_gallery
                        .find( '.g5shop__woocommerce-product-gallery__image, .woocommerce-product-gallery__image--placeholder' )
                        .eq( 0 ),
                    $product_img      = $product_img_wrap.find( '.wp-post-image' ),
                    $product_link     = $product_img_wrap.find( 'a' ).eq( 0 );

                self.resetVariationAttr( $product_img, 'src');
                self.resetVariationAttr( $product_img, 'height');
                self.resetVariationAttr( $product_img, 'width');
                self.resetVariationAttr( $product_img, 'srcset');
                self.resetVariationAttr( $product_img, 'sizes');
                self.resetVariationAttr( $product_img, 'title');
                self.resetVariationAttr( $product_img, 'data-caption');
                self.resetVariationAttr( $product_img,  'alt' );
                self.resetVariationAttr( $product_img,  'data-src');
                self.resetVariationAttr( $product_img,  'data-large_image');
                self.resetVariationAttr( $product_img,  'data-large_image_width');
                self.resetVariationAttr( $product_img,  'data-large_image_height');
                self.resetVariationAttr( $product_img_wrap,  'data-thumb');
                self.resetVariationAttr( $product_link,  'href');
            });


        },
        setVariationAttr: function ( $el, attr, value ) {
            if ( undefined === $el.attr( 'data-o_' + attr ) ) {
                $el.attr( 'data-o_' + attr, (
                    !$el.attr( attr )
                ) ? '' : $el.attr( attr ) );
            }
            if ( false === value ) {
                $el.removeAttr( attr );
            }
            else {
                $el.attr( attr, value );
            }
        },
        resetVariationAttr: function ( $el, attr ) {
            if ( undefined !== $el.attr( 'data-o_' + attr ) ) {
                $el.attr( attr, $el.attr( 'data-o_' + attr ) );
            }
        },
        slickNavCenter: function () {
            function processSlickNavCenter () {
                $('.g5shop-nav-center').each(function () {
                    var $this = $(this),
                        $arrow = $this.find('.slick-arrow');
                    if ($arrow.length > 0) {
                        var $image = $this.find('.g5shop__product-featured');
                        if ($image.length > 0) {
                            var _height = parseInt($image.height()) / 2;
                            $arrow.css('top', _height);
                        }
                    }
                });
            }
            processSlickNavCenter();
            setTimeout(processSlickNavCenter,1000);
            $(window).on('resize',function () {
                setTimeout(processSlickNavCenter,500);
            });
        },
        promoPopup: function () {
            if (!g5shop_vars.promo_popup.is_active) {
                return;
            }

            if ( typeof Storage !== 'undefined' && sessionStorage.getItem( g5shop_vars.promo_popup.confirm_key ) === 'yes' ) {
                return;
            }

            function copyToClipboard(text) {
                if ( window.clipboardData && window.clipboardData.setData ) {
                    // Internet Explorer-specific code path to prevent textarea being shown while dialog is visible.
                    return window.clipboardData.setData( "Text", text );
                }
                else if ( document.queryCommandSupported && document.queryCommandSupported( "copy" ) ) {
                    var textarea = document.createElement( "textarea" );
                    textarea.textContent = text;
                    document.getElementById('g5shop__popup-promotion').appendChild( textarea );
                    textarea.select();
                    try {
                        return document.execCommand( "copy" );  // Security exception may be thrown by some browsers.
                    }
                    catch ( ex ) {
                        console.warn( "Copy to clipboard failed.", ex );
                        return prompt( "Copy to clipboard: Ctrl+C, Enter", text );
                    }
                    finally {
                        document.getElementById('g5shop__popup-promotion').removeChild( textarea );
                    }
                }
            }

            var $promoPopup = $( '#g5shop__popup-promotion' );

            $(window).on('load',function () {
                $.magnificPopup.open({
                    items: {
                        src : '#g5shop__popup-promotion'
                    },
                    type: 'inline',
                    closeOnBgClick: false,
                    closeBtnInside: true,
                    mainClass: 'mfp-move-from-top',
                    removalDelay: 700,
                    callbacks: {
                        close: function () {
                            if ( typeof Storage !== 'undefined' ) {
                                sessionStorage.setItem(g5shop_vars.promo_popup.confirm_key, 'yes' );
                            }
                        }
                    }
                });
            });

            $promoPopup.on( 'click', '.btn-copy', function( evt ) {
                var $button = $( this );
                var text = $button.closest('.g5shop__popup-promotion-form').find( 'input.discount-code' ).val();
                var result = copyToClipboard( text );
                if ( result ) {
                    $button.text( $button.data( 'message-success' ) );
                }
            } );
        },
        addedToWishlist: function () {
            $body.on('added_to_wishlist', function (t, el_wrap) {
                $('.g5shop__header-action-wishlist').each(function (){
                    var $total = $(this).find('span');
                    if ($total.length) {
                        var total = parseInt($total.text());
                        total = total + 1;
                        $total.text(total);
                    }
                });
            });

            $body.on('removed_from_wishlist', function (t, el_wrap) {
                $('.g5shop__header-action-wishlist').each(function (){
                    var $total = $(this).find('span');
                    if ($total.length) {
                        var total = parseInt($total.text());
                        total = total - 1;
                        if (total < 0) {
                            total = 0;
                        }
                        $total.text(total);
                    }
                });
            });
        }
    };

    $(document).ready(function () {
        G5SHOP.init();
    });
})(jQuery);