<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
if (!class_exists('G5Shop_Promo_Popup')) {
	class G5Shop_Promo_Popup {

		private $_confirm_key = 'g5shop_promo_popup_confirm';

		private static $_instance;

		public static function getInstance() {
			if ( self::$_instance == null ) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}


		public function init() {
			add_action( 'wp_footer', array($this, 'output_promo_popup' ));

		}

		public function is_active() {
			$enable  = G5SHOP()->options()->get_option('promo_popup_enable');
			if ( $enable === 'on' ) {
				return true;
			}

			return false;
		}

		public function output_promo_popup() {
			if ($this->is_active()) {
				G5SHOP()->get_template('popup/promotion.php');
			}
		}

		public function get_confirm_key() {
			return $this->_confirm_key;
		}
	}
}