<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
$type            = G5SHOP()->options()->get_option( 'promo_popup_type', 'subscribe' );
$style           = G5SHOP()->options()->get_option( 'promo_popup_style', '01' );
$heading         = G5SHOP()->options()->get_option( 'promo_popup_heading', esc_html__( 'Don’t Want To Miss Anything?', 'g5-shop' ) );
$desc            = G5SHOP()->options()->get_option( 'promo_popup_desc', esc_html__( 'Be the first to see new arrivals, exclusive ideals and much more', 'g5-shop' ) );
$image           = G5SHOP()->options()->get_option( 'promo_popup_image', array(
	'url' => G5CORE()->plugin_url( 'assets/images/placeholder.png' ),
	'id'  => ''
) );
$image_url       = is_array( $image ) && isset( $image['url'] ) && ! empty( $image['url'] ) ? $image['url'] : '';
$button_text     = G5SHOP()->options()->get_option( 'promo_popup_button_text', esc_html__( 'Get It Now', 'g5-shop' ) );
$button_url      = G5SHOP()->options()->get_option( 'promo_popup_button_url', '#' );
$discount_code   = G5SHOP()->options()->get_option( 'promo_popup_discount_code' );
$form_id         = G5SHOP()->options()->get_option( 'promo_popup_form_id' );
$wrapper_classes = array(
	'mfp-hide',
	'mfp-with-anim',
	'g5core__popup',
	'g5shop__promo-popup',
	"style-{$style}"
);
?>
<div id="g5shop__popup-promotion" class="<?php echo esc_attr( join( ' ', $wrapper_classes ) ) ?>">
	<div class="g5core__popup-body g5shop__popup-promotion-body">
		<?php if ( ! empty( $image_url ) ): ?>
			<div class="g5shop__popup-promotion-image">
				<img src="<?php echo esc_url( $image_url ) ?>"
				     alt="<?php echo esc_attr__( 'Popup Image', 'homeId' ) ?>">
			</div>
		<?php endif; ?>
		<div class="g5shop__popup-promotion-content">
			<?php if ( ! empty( $heading ) ): ?>
				<h4 class="g5shop__popup-promotion-heading"><?php echo esc_html( $heading ) ?></h4>
			<?php endif; ?>
			<?php if ( ! empty( $desc ) ): ?>
				<div class="g5shop__popup-promotion-desc"><?php echo esc_html( $desc ) ?></div>
			<?php endif; ?>
			<?php if ( ( $type === 'subscribe' ) && ( is_plugin_active( 'mailchimp-for-wp/mailchimp-for-wp.php' ) ) ): ?>
				<div class="g5shop__popup-promotion-action">
					<?php echo do_shortcode( '[mc4wp_form  id="' . $form_id . '"]' ); ?>
				</div>
			<?php endif; ?>
			<?php if ( ( $type === 'discount_code' ) && ! empty( $discount_code ) ): ?>
				<div class="g5shop__popup-promotion-action">
					<p>
						<input type="text" class="discount-code" readonly name="discount_code"
						       value="<?php echo esc_attr( $discount_code ) ?>">
					</p>
					<p>
						<button class="btn btn-copy"
						        data-message-success="<?php esc_attr_e( 'Copied', 'g5-shop' ); ?>"><?php echo esc_html__( 'Copy', 'g5-shop' ) ?></button>
					</p>
				</div>
			<?php endif; ?>
			<?php if ( ( $type === 'announcement' ) && ( ! empty( $button_text ) ) && ! empty( $button_url ) ) : ?>
				<div class="g5shop__popup-promotion-action">
					<a href="<?php echo esc_url( $button_url ) ?>" class="btn btn-announcement"
					   title="<?php echo esc_attr( $button_text ) ?>"><?php echo esc_html( $button_text ) ?></a>
				</div>

			<?php endif; ?>
		</div>
	</div>
</div>
