<?php
/**
 * Cross-sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/cart/cross-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 4.4.0
 */

defined( 'ABSPATH' ) || exit;

$product_cross_sells_enable = G5SHOP()->options()->get_option('product_cross_sells_enable');
if ($product_cross_sells_enable !== 'on') return;
$columns_gutter = absint(G5SHOP()->options()->get_option('product_cross_sells_columns_gutter'));
$columns_xl = absint(G5SHOP()->options()->get_option('product_cross_sells_columns_xl'));
$columns_lg = absint(G5SHOP()->options()->get_option('product_cross_sells_columns_lg'));
$columns_md = absint(G5SHOP()->options()->get_option('product_cross_sells_columns_md'));
$columns_sm = absint(G5SHOP()->options()->get_option('product_cross_sells_columns_sm'));
$columns = absint(G5SHOP()->options()->get_option('product_cross_sells_columns'));

$settings = array(
    'post_layout' => 'grid',
    //'item_skin' => 'skin-01',
    //'image_size' => 'woocommerce_thumbnail',
    //'image_ratio' => '',
    'columns_gutter' => $columns_gutter,
    'post_animation' => 'none',
    //'excerpt_enable' => false,
    //'category_enable' => false,
);

$slick = g5shop_get_slick_config(array(
	'arrows' => false,
	'dots' => true,
	'columns' => array(
		'xl' =>  $columns_xl,
		'lg' =>  $columns_lg,
		'md' =>  $columns_md,
		'sm' =>  $columns_sm,
		''   =>  $columns,
	)
));
$settings['slick'] = $slick;

$settings = apply_filters('g5shop_single_cross_sells_layout_setting',$settings);

G5SHOP()->listing()->set_layout_settings($settings);

if ( $cross_sells ) : ?>

	<div class="cross-sells">

		<?php
		$heading = apply_filters( 'woocommerce_product_cross_sells_products_heading', __( 'You may be interested in&hellip;', 'woocommerce' ) );

		if ( $heading ) :
			?>
			<h2><?php echo esc_html( $heading ); ?></h2>
		<?php endif; ?>

		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $cross_sells as $cross_sell ) : ?>

				<?php
				 	$post_object = get_post( $cross_sell->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>

	</div>

<?php endif;

wp_reset_postdata();
G5SHOP()->listing()->unset_layout_settings();